<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
  <style>
      #id {
          display: flex;
          flex-direction: column;
      }

      #tabs {
          display: flex;
          flex-direction: row;
      }
  </style>
</head>
<body>

<div id="tabs">
  <div>
    <a href="javascript:updateTabContent(0)">AFS Spine v3.8 test</a>
    <div><select id="spineSelector"></select></div>
  </div>&nbsp;&nbsp;|&nbsp;&nbsp;
  <div><a href="javascript:updateTabContent(1)">blending_test</a></div>&nbsp;&nbsp;|&nbsp;&nbsp;
  <div><a href="javascript:updateTabContent(2)">v_full3i8_with_blendings</a></div>&nbsp;&nbsp;|&nbsp;&nbsp;
  <div><a href="javascript:updateTabContent(3)">PIXI Spine 4.0 VS 3.8</a></div>
</div>
<div id="tab-content"></div>

<script>
  const spineMap = [
    ["flower_flare_v3i8", "flower_flare"],
    ["02", "02"],
    ["v_full3i8", "flower"],
    ["v_full3i8_with_blendings", "flower"],
    ["v_3i8", "flower"]
  ];

  let selected = 0;

  document.addEventListener("DOMContentLoaded", function() {
    updateTabContent(0);
  });

  function pixiVsPhaser(dir, num, wh) {
    return `<div style="display: flex;"><div>${pixi(dir, num, wh)}</div><div>${phaser(dir, num, wh)}</div></div>`;
  }

  function pixi(spineV, num, wh) {
    return getTemplate("PIXI " + spineV, "index-pixi", spineV, num, wh);
  }

  function phaser(spineV, num, wh, spineName = "flower") {
    return getTemplate("Phaser " + spineV, "index-phaser", spineV, num, wh, spineName);
  }

  function getTemplate(title, indexName, spineV, animNum = 0, wh = [800, 600], spineName = "flower") {
    const [width, height] = wh;
    const url = getUrl(indexName, spineV, animNum, wh, spineName);


    return `<h2>${title}</h2><iframe width="${width}" height="${height}" src="${url}"></iframe>`;
  }

  function getUrl(indexName, spineV, animNum = 0, wh, spineName) {
    const [width, height] = wh;

    return `https://ol-egg.000webhostapp.com/spinetest/${indexName}.php?spineV=${spineV}&spineName=${spineName}&animNum=${animNum}&width=${width}&height=${height}`;
  }

  function updateTabContent(tabId) {
    const spineSelectorNode = document.getElementById("spineSelector");

    spineSelectorNode.style.display = "none";

    const div = document.createElement("div");

    div.id = "content";
    div.innerHTML = getTabContent(tabId);

    const tc = document.getElementById("tab-content");

    tc.innerHTML = "";
    tc.appendChild(div);

    if (tabId === 0) {
      spineSelectorNode.innerHTML = spineMap.map(function ([value], i) {
        return `<option value="${i}">${value}</option>`;
      }).join("");
      spineSelectorNode.style.display = "block";
    }

    spineSelectorNode.addEventListener("change", function (e) {
      selected = parseInt(e.currentTarget.value, 10);
      div.innerHTML = getTabContent(0);
    });
  }

  function getTabContent(tabId) {
    if (tabId === 0) {
      const [spineDir, spineName] = spineMap[selected];

      return phaser(spineDir, 0, [800, 600], spineName);
    }

    if (tabId === 1) {
      return pixiVsPhaser("blending_test", 1, [800, 1200]) + pixiVsPhaser("blending_test", 2, [800, 1200]);
    }

    if (tabId === 2) {
      return pixiVsPhaser("v_full3i8_with_blendings", 1)
        + pixiVsPhaser("v_full3i8_with_blendings", 2)
        + pixiVsPhaser("3i8_from_4_all_blended", 1)
        + pixiVsPhaser("3i8_from_4_all_blended", 2);
    }

    return `<div style="display: flex;"><div>
<h2>Pixi Spine 3.8</h2>
<iframe width="800" height="600" src="${getUrl("index", "v_3i8", 2)}"></iframe>
</div>
<div>
<h2>Pixi Spine 4</h2>
<iframe width="800" height="600" src="${getUrl("index", "v_4", 2)}"></iframe>
</div>
</div>`;
  }
</script>

</body>
</html>
